# Snyk CLI

Snyk CLI scans and monitors your projects for security vulnerabilities.

Visit https://snyk.io for more details.

## Not sure where to start?

1. Authenticate with `snyk auth`.
2. Test your local project with `snyk test`.
3. Get alerted for new vulnerabilities with `snyk monitor`.

## Available commands

To learn more about Snyk CLI use the `--help` option, e.g. `snyk container --help` or `snyk auth --help`.

### [`snyk auth`](./auth.md)

Authenticate Snyk CLI with a Snyk account.

### [`snyk test`](./test.md)

Test local project's dependencies for vulnerabilities.

### [`snyk monitor`](./monitor.md)

Snapshot and continuously monitor your project.

### [`snyk container`](./container.md)

Test container images for vulnerabilities.

### [`snyk iac`](./iac.md)

Find security issues in your Infrastructure as Code files.

### [`snyk code`](./code.md)

Find security issues using static code analysis.

### [`snyk log4shell`](./log4shell.md)

Finds Log4Shell vulnerability.

### [`snyk config`](./config.md)

Manage Snyk CLI configuration.

### [`snyk policy`](./policy.md)

Display the `.snyk` policy for a package.

### [`snyk ignore`](./ignore.md)

Modifies the `.snyk` policy to ignore stated issues.
